export default class ValidationProcessor {
    /**
     * Updates the validation status of a question within an array of questions.
     * @param {Array} questions - The array of questions to update.
     * @param {Object} question - The question object to validate and update.
     * @param {number} index - The index of the question in the array.
     * @param {Object} intl - The object used for internationalization.
     */
    static updateQuestionValidation: (questions: any[], question: Object, index: number, intl: Object) => void;
    /**
     * Updates the validation status of sub-questions within a parent question.
     * @param {Object} question - The parent question object containing sub-questions.
     * @param {Object} intl - The object used for internationalization.
     */
    static updateSubQuestionsValidation: (question: Object, intl: Object) => void;
}
